upper_bound.hpp File Reference

## Functions

template<typename I , typename S , typename V , typename C = less, typename P = identity>
auto | ranges::upper_bound (I first, S last, V const &val, C pred=C{}, P proj=P{}) -> I requires forward_iterator< I > &&sentinel_for< S, I > &&indirect_strict_weak_order< C, V const *, projected< I, P >>
| function template `upper_bound`
template<typename Rng , typename V , typename C = less, typename P = identity>
auto | ranges::upper_bound (Rng &&rng, V const &val, C pred=C{}, P proj=P{}) -> safe_iterator_t< Rng > requires forward_range< Rng > &&indirect_strict_weak_order< C, V const *, projected< iterator_t< Rng >, P >>